function _init()
	remote.call("EvoGUI", "create_remote_sensor", { mod_name = "steinios_research_sensor",
													name = "steinio_rs", 
													text = "Current research: none " .. "(-%)", 
													caption = "" 
												}
	)
end

--Register a callback to be run on module init.
script.on_init( 
	function()
		_init()
	end
)

--Register a function to be run on module load.
script.on_load(
	function()
		_init()
	end
)

--It is fired once every tick. Since this event is fired every tick, its handler shouldn't include performance heavy code.
script.on_event(defines.events.on_tick, 
	function() 		
		if game.tick % 60 ~= 0 then return end
				
		local force = game.forces.player
		local current_research = force.current_research
		local research_progress = force.research_progress
		local text = ""
		
		if current_research ~= nil then
			text = "Current research: " .. tostring(current_research.name) .. " (" .. tostring(roundToNthDecimal(research_progress*100, 2)) .. "%)"
		else
			text = "Current research: none (-%)"
		end   
			
		remote.call(
			"EvoGUI", 
			"update_remote_sensor", 
			"steinio_rs", 
			text
		)
		
	end
)

function roundToNthDecimal(num, n)
	local mult = 10^(n or 0)
	return math.floor(num * mult + 0.5) / mult
end